#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();


    bool   GetSaveFile(QString  &file,QString filter, QString defdir);
private slots:
    void timer1();
    void on_d_btnOpen_clicked();

    void on_d_btnClose_clicked();

    void on_d_btnMute_clicked();

    void on_d_slider_valueChanged(int value);

    void on_c_btnStart_clicked();

    void on_c_btnPause_clicked();

    void on_c_btnStop_clicked();

    void on_c_btnShot_clicked();

    void on_c_btnReg_clicked();

    void on_c_btnUnreg_clicked();

    void on_d_vDevice_currentIndexChanged(int index);

private:
    Ui::MainWindow *ui;
};
#endif // MAINWINDOW_H
